Security Enhanced Linux Reference Policy

# Layer: services

## Module: matrixd

Tunables

### Description:

matrix.org synapse reference server.

### Tunables:

matrix_allow_federation

##### Default value

true

##### Description

Determine whether Matrixd is allowed to federate (bind all UDP ports and connect to all TCP ports).

matrix_bind_all_unreserved_tcp_ports

##### Default value

false

##### Description

Determine whether Matrixd is allowed to bind all TCP ports. This is intended for more complex Matrix server configurations (e.g. Synapse workers) and may be used in lieu of manually labeling each port.

matrix_postgresql_connect

##### Default value

false

##### Description

Determine whether Matrixd can connect to the Postgres database.

Return